namespace PkmnLib.Plugin.Gen7.Scripts.Moves;

[Script(ScriptCategory.Move, "twineedle")]
public class Twineedle : Script, IScriptChangeNumberOfHits, IScriptOnSecondaryEffect
{
    /// <inheritdoc />
    public void ChangeNumberOfHits(IMoveChoice choice, ref byte numberOfHits) => numberOfHits = 2;

    /// <inheritdoc />
    public void OnSecondaryEffect(IExecutingMove move, IPokemon target, byte hit)
    {
        if (move.Battle.Random.EffectChance(20, move, target, hit))
        {
            target.SetStatus(ScriptUtils.ResolveName<Status.Poisoned>(), move.User);
        }
    }
}